var tmpl=`
    <gsb-card style="margin-top:0px;background-color:#EFF0F7;">
        <div style="float:left;">
           <slot name="header">
           </slot>
        </div>
        <div style="float:right">
        </div>
      <slot name="content" style="margin-top:10px;width:100%;">
      </slot>
    </gsb-card>
`
module.exports=
`{
   template:'${tmpl}',
   props:[],
   data:function(){
     return {

     };
   },
   mounted:function(){
        if(this.$store.state.currentCodePath!="/" && this.$store.state.currentCodePath.indexOf("bycquerytm")<0  &&  this.$store.state.currentCodePath.indexOf("bytmmonit")<0  && this.$root.currentUser){
                setTimeout(()=>{
                  this.$root.isShowMenu=true;
                  this.$root.isfront=false;
                   this.$root.showtabs();
                  this.$nextTick(()=>{
                       /*this.$root.$refs.leftmenu.fetchMetaData();*/
                  });
                },100); 
            }else{        
              if((this.$store.state.currentCodePath.indexOf("bytmmonit")>=0)){
                    this.$root.isShowMenu=false;
                    this.$root.showtopmenu();
                    this.$root.hidetabs();
                    $(".bytmmonittab .el-tabs__nav-scroll").show();
                    $(".bytmmonittab .el-tabs--border-card > .el-tabs__header").css("border-bottom", "solid 1px #eee");
              }else{
                 if(this.$store.state.currentCodePath.indexOf("orderpay")>=0 && this.currentUser){
                   console.log("orderpayorderpayorderpayorderpayorderpayorderpayorderpay");
                     this.$root.isShowMenu=false;
                    this.$root.hidetabs();
                 }else if(this.$store.state.currentCodePath.indexOf("paysuccess")>=0 && this.currentUser){
                   console.log("paysuccesspaysuccesspaysuccesspaysuccesspaysuccesspaysuccesspaysuccess");
                    this.$root.isShowMenu=false;
                    this.$root.hidetabs();
                 }else{
                   this.$root.isShowMenu=false;
                   this.$root.isfront=true;
                   this.$root.hidetabs();
                 }
           
              }
            }
   },
   methods:{

   },
   vname:"gsb-pagecard"
}`
